<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::ReconstructedParticleObj Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_reconstructed_particle_obj.html">ReconstructedParticleObj</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classeic_1_1_reconstructed_particle_obj-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::ReconstructedParticleObj Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_reconstructed_particle_obj_8h_source.html">ReconstructedParticleObj.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for eic::ReconstructedParticleObj:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_reconstructed_particle_obj__inherit__graph.png" border="0" usemap="#eic_1_1_reconstructed_particle_obj_inherit__map" alt="Inheritance graph"/></div>
<map name="eic_1_1_reconstructed_particle_obj_inherit__map" id="eic_1_1_reconstructed_particle_obj_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for eic::ReconstructedParticleObj:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_reconstructed_particle_obj__coll__graph.png" border="0" usemap="#eic_1_1_reconstructed_particle_obj_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_reconstructed_particle_obj_coll__map" id="eic_1_1_reconstructed_particle_obj_coll__map">
<area shape="rect" id="node3" href="classeic_1_1_reconstructed_particle_data.html" title="eic::ReconstructedParticleData" alt="" coords="102,5,306,32"/>
<area shape="rect" id="node4" href="classeic_1_1_const_vertex.html" title="eic::ConstVertex" alt="" coords="331,5,451,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4f63f87dba9fc580ce1dbdea7362745c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_obj.html#a4f63f87dba9fc580ce1dbdea7362745c">ReconstructedParticleObj</a> ()</td></tr>
<tr class="memdesc:a4f63f87dba9fc580ce1dbdea7362745c"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor  <a href="#a4f63f87dba9fc580ce1dbdea7362745c">More...</a><br /></td></tr>
<tr class="separator:a4f63f87dba9fc580ce1dbdea7362745c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c45dafd549d9ed23b95313e2dd5f3a6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_obj.html#a2c45dafd549d9ed23b95313e2dd5f3a6">ReconstructedParticleObj</a> (const <a class="el" href="classeic_1_1_reconstructed_particle_obj.html">ReconstructedParticleObj</a> &amp;)</td></tr>
<tr class="memdesc:a2c45dafd549d9ed23b95313e2dd5f3a6"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor (does a deep-copy of relation containers)  <a href="#a2c45dafd549d9ed23b95313e2dd5f3a6">More...</a><br /></td></tr>
<tr class="separator:a2c45dafd549d9ed23b95313e2dd5f3a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b06b660efe46005878bd8774a72c443"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_obj.html#a3b06b660efe46005878bd8774a72c443">ReconstructedParticleObj</a> (const podio::ObjectID id, <a class="el" href="classeic_1_1_reconstructed_particle_data.html">ReconstructedParticleData</a> <a class="el" href="classeic_1_1_reconstructed_particle_obj.html#afb13aadde47cc1d1fdba7beb201d679c">data</a>)</td></tr>
<tr class="separator:a3b06b660efe46005878bd8774a72c443"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2762732fd129cc09a709c47252cbeb2"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_obj.html#af2762732fd129cc09a709c47252cbeb2">~ReconstructedParticleObj</a> ()</td></tr>
<tr class="separator:af2762732fd129cc09a709c47252cbeb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:afb13aadde47cc1d1fdba7beb201d679c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_reconstructed_particle_data.html">ReconstructedParticleData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_obj.html#afb13aadde47cc1d1fdba7beb201d679c">data</a></td></tr>
<tr class="separator:afb13aadde47cc1d1fdba7beb201d679c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6890d77502cc6232d337fa8ce6a60e1a"><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classeic_1_1_const_vertex.html">eic::ConstVertex</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_obj.html#a6890d77502cc6232d337fa8ce6a60e1a">m_vertex</a></td></tr>
<tr class="separator:a6890d77502cc6232d337fa8ce6a60e1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa93636c5a85aafcb6902ef07e5139f7e"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_obj.html#aa93636c5a85aafcb6902ef07e5139f7e">m_clusters</a></td></tr>
<tr class="separator:aa93636c5a85aafcb6902ef07e5139f7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05143a3f8fb65c608fb77ade57498b9b"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_obj.html#a05143a3f8fb65c608fb77ade57498b9b">m_tracks</a></td></tr>
<tr class="separator:a05143a3f8fb65c608fb77ade57498b9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad35e9b2c591b2460b6e8c7e02c55366b"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle_obj.html#ad35e9b2c591b2460b6e8c7e02c55366b">m_particles</a></td></tr>
<tr class="separator:ad35e9b2c591b2460b6e8c7e02c55366b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00026">26</a> of file <a class="el" href="_reconstructed_particle_obj_8h_source.html">ReconstructedParticleObj.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a4f63f87dba9fc580ce1dbdea7362745c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f63f87dba9fc580ce1dbdea7362745c">&#9670;&nbsp;</a></span>ReconstructedParticleObj() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ReconstructedParticleObj::ReconstructedParticleObj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_obj_8cc_source.html#l00008">8</a> of file <a class="el" href="_reconstructed_particle_obj_8cc_source.html">ReconstructedParticleObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">data</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00040">m_clusters</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00042">m_particles</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00041">m_tracks</a>, and <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00039">m_vertex</a>.</p>

</div>
</div>
<a id="a2c45dafd549d9ed23b95313e2dd5f3a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c45dafd549d9ed23b95313e2dd5f3a6">&#9670;&nbsp;</a></span>ReconstructedParticleObj() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ReconstructedParticleObj::ReconstructedParticleObj </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_reconstructed_particle_obj.html">ReconstructedParticleObj</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor (does a deep-copy of relation containers) </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_obj_8cc_source.html#l00021">21</a> of file <a class="el" href="_reconstructed_particle_obj_8cc_source.html">ReconstructedParticleObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">data</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00040">m_clusters</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00042">m_particles</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00041">m_tracks</a>, and <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00039">m_vertex</a>.</p>

</div>
</div>
<a id="a3b06b660efe46005878bd8774a72c443"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b06b660efe46005878bd8774a72c443">&#9670;&nbsp;</a></span>ReconstructedParticleObj() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ReconstructedParticleObj::ReconstructedParticleObj </td>
          <td>(</td>
          <td class="paramtype">const podio::ObjectID&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classeic_1_1_reconstructed_particle_data.html">ReconstructedParticleData</a>&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>constructor from ObjectID and <a class="el" href="classeic_1_1_reconstructed_particle_data.html">ReconstructedParticleData</a> does not initialize the internal relation containers </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_obj_8cc_source.html#l00017">17</a> of file <a class="el" href="_reconstructed_particle_obj_8cc_source.html">ReconstructedParticleObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">data</a>.</p>

</div>
</div>
<a id="af2762732fd129cc09a709c47252cbeb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2762732fd129cc09a709c47252cbeb2">&#9670;&nbsp;</a></span>~ReconstructedParticleObj()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">eic::ReconstructedParticleObj::~ReconstructedParticleObj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_obj_8cc_source.html#l00034">34</a> of file <a class="el" href="_reconstructed_particle_obj_8cc_source.html">ReconstructedParticleObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00040">m_clusters</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00042">m_particles</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00041">m_tracks</a>, and <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00039">m_vertex</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="afb13aadde47cc1d1fdba7beb201d679c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb13aadde47cc1d1fdba7beb201d679c">&#9670;&nbsp;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_reconstructed_particle_data.html">ReconstructedParticleData</a> eic::ReconstructedParticleObj::data</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">38</a> of file <a class="el" href="_reconstructed_particle_obj_8h_source.html">ReconstructedParticleObj.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_8cc_source.html#l00082">eic::ReconstructedParticle::addclusters()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00154">eic::ReconstructedParticle::addparticles()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00118">eic::ReconstructedParticle::addtracks()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00055">eic::ConstReconstructedParticle::charge()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00057">eic::ReconstructedParticle::charge()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00083">eic::ConstReconstructedParticle::clusters()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00103">eic::ReconstructedParticle::clusters()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00067">eic::ConstReconstructedParticle::clusters_begin()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00087">eic::ReconstructedParticle::clusters_begin()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00073">eic::ConstReconstructedParticle::clusters_end()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00093">eic::ReconstructedParticle::clusters_end()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00079">eic::ConstReconstructedParticle::clusters_size()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00099">eic::ReconstructedParticle::clusters_size()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00021">eic::ConstReconstructedParticle::ConstReconstructedParticle()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00052">eic::ConstReconstructedParticle::energy()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00054">eic::ReconstructedParticle::energy()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00056">eic::ConstReconstructedParticle::mass()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00058">eic::ReconstructedParticle::mass()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00053">eic::ConstReconstructedParticle::momentum()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00055">eic::ReconstructedParticle::momentum()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00147">eic::ConstReconstructedParticle::particles()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00175">eic::ReconstructedParticle::particles()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00131">eic::ConstReconstructedParticle::particles_begin()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00159">eic::ReconstructedParticle::particles_begin()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00137">eic::ConstReconstructedParticle::particles_end()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00165">eic::ReconstructedParticle::particles_end()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00143">eic::ConstReconstructedParticle::particles_size()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00171">eic::ReconstructedParticle::particles_size()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00021">eic::ReconstructedParticle::ReconstructedParticle()</a>, <a class="el" href="_reconstructed_particle_obj_8cc_source.html#l00008">ReconstructedParticleObj()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00115">eic::ConstReconstructedParticle::tracks()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00139">eic::ReconstructedParticle::tracks()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00099">eic::ConstReconstructedParticle::tracks_begin()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00123">eic::ReconstructedParticle::tracks_begin()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00105">eic::ConstReconstructedParticle::tracks_end()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00129">eic::ReconstructedParticle::tracks_end()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00111">eic::ConstReconstructedParticle::tracks_size()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00135">eic::ReconstructedParticle::tracks_size()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00051">eic::ConstReconstructedParticle::type()</a>, and <a class="el" href="_reconstructed_particle_8cc_source.html#l00053">eic::ReconstructedParticle::type()</a>.</p>

</div>
</div>
<a id="aa93636c5a85aafcb6902ef07e5139f7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa93636c5a85aafcb6902ef07e5139f7e">&#9670;&nbsp;</a></span>m_clusters</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a>&gt;* eic::ReconstructedParticleObj::m_clusters</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00040">40</a> of file <a class="el" href="_reconstructed_particle_obj_8h_source.html">ReconstructedParticleObj.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_8cc_source.html#l00082">eic::ReconstructedParticle::addclusters()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00083">eic::ConstReconstructedParticle::clusters()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00103">eic::ReconstructedParticle::clusters()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00067">eic::ConstReconstructedParticle::clusters_begin()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00087">eic::ReconstructedParticle::clusters_begin()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00073">eic::ConstReconstructedParticle::clusters_end()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00093">eic::ReconstructedParticle::clusters_end()</a>, <a class="el" href="_reconstructed_particle_collection_8cc_source.html#l00167">eic::ReconstructedParticleCollection::prepareAfterRead()</a>, <a class="el" href="_reconstructed_particle_obj_8cc_source.html#l00008">ReconstructedParticleObj()</a>, and <a class="el" href="_reconstructed_particle_obj_8cc_source.html#l00034">~ReconstructedParticleObj()</a>.</p>

</div>
</div>
<a id="ad35e9b2c591b2460b6e8c7e02c55366b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad35e9b2c591b2460b6e8c7e02c55366b">&#9670;&nbsp;</a></span>m_particles</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a>&gt;* eic::ReconstructedParticleObj::m_particles</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00042">42</a> of file <a class="el" href="_reconstructed_particle_obj_8h_source.html">ReconstructedParticleObj.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_8cc_source.html#l00154">eic::ReconstructedParticle::addparticles()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00147">eic::ConstReconstructedParticle::particles()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00175">eic::ReconstructedParticle::particles()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00131">eic::ConstReconstructedParticle::particles_begin()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00159">eic::ReconstructedParticle::particles_begin()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00137">eic::ConstReconstructedParticle::particles_end()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00165">eic::ReconstructedParticle::particles_end()</a>, <a class="el" href="_reconstructed_particle_obj_8cc_source.html#l00008">ReconstructedParticleObj()</a>, and <a class="el" href="_reconstructed_particle_obj_8cc_source.html#l00034">~ReconstructedParticleObj()</a>.</p>

</div>
</div>
<a id="a05143a3f8fb65c608fb77ade57498b9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05143a3f8fb65c608fb77ade57498b9b">&#9670;&nbsp;</a></span>m_tracks</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a>&gt;* eic::ReconstructedParticleObj::m_tracks</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00041">41</a> of file <a class="el" href="_reconstructed_particle_obj_8h_source.html">ReconstructedParticleObj.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_8cc_source.html#l00118">eic::ReconstructedParticle::addtracks()</a>, <a class="el" href="_reconstructed_particle_obj_8cc_source.html#l00008">ReconstructedParticleObj()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00115">eic::ConstReconstructedParticle::tracks()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00139">eic::ReconstructedParticle::tracks()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00099">eic::ConstReconstructedParticle::tracks_begin()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00123">eic::ReconstructedParticle::tracks_begin()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00105">eic::ConstReconstructedParticle::tracks_end()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00129">eic::ReconstructedParticle::tracks_end()</a>, and <a class="el" href="_reconstructed_particle_obj_8cc_source.html#l00034">~ReconstructedParticleObj()</a>.</p>

</div>
</div>
<a id="a6890d77502cc6232d337fa8ce6a60e1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6890d77502cc6232d337fa8ce6a60e1a">&#9670;&nbsp;</a></span>m_vertex</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">::<a class="el" href="classeic_1_1_const_vertex.html">eic::ConstVertex</a>* eic::ReconstructedParticleObj::m_vertex</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00039">39</a> of file <a class="el" href="_reconstructed_particle_obj_8h_source.html">ReconstructedParticleObj.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_8cc_source.html#l00074">eic::ReconstructedParticle::mass()</a>, <a class="el" href="_reconstructed_particle_obj_8cc_source.html#l00008">ReconstructedParticleObj()</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00058">eic::ConstReconstructedParticle::vertex()</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00060">eic::ReconstructedParticle::vertex()</a>, and <a class="el" href="_reconstructed_particle_obj_8cc_source.html#l00034">~ReconstructedParticleObj()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_reconstructed_particle_obj_8h_source.html">ReconstructedParticleObj.h</a></li>
<li>src/<a class="el" href="_reconstructed_particle_obj_8cc_source.html">ReconstructedParticleObj.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
